---
# - include: create_role.yml
#   vars:
#     role: admin
#   environment: "{{ token_auth_env }}"

- name: 'Check "{{ role }}" role exists'
  command: openstack --insecure role show "{{ role }}"
  register: roleExist
  ignore_errors: True
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: 'Create the "{{ role }}" role'
  command: openstack --insecure role create "{{ role }}"
  when: roleExist is failed
  run_once: True
  environment: "{{ admin_auth_env }}"